### Method

# Soup Message query_flags

#### Declaration [src]

    gboolean
    soup_message_query_flags (
      SoupMessage* msg,
      SoupMessageFlags flags
    )

#### Description [src]

Queries if `flags` are present in the set of `msg`‘s flags.

#### Parameters

`flags` | `SoupMessageFlags`
| A set of `SoupMessageFlags` values.

#### Return value

Returns: | `gboolean`
| `TRUE` if `flags` are enabled in `msg`.